Campaigns List

📘

Supported Regions and Base URLs
👍

Access and RegistrationAuthentication

Scope

campaigns:read

Body Response - Schema

200 (successful operation)

ParameterTypeDescriptionRequired
totalintegern/ayes
countintegern/ayes
pageintegern/ayes
per_pageintegern/ayes
total_pageintegern/ayes
_embeddedobject

"_embedded" subdivides into:

1 - "campaings" (array[object]
)
, the list of campaigns, which subdivides into:

1.1 - "_links" (object) - HAL API related links.
1.1.1 - "self" (object) - link to fetch the detail of the campaign.
1.1.1.1 - "href" (string) - address of the resource. <= 2083 characters.
1.1.2 - "campaigns" (object) - link to fetch a list of all the campaigns.
1.1.2.1 - "href" (string) - address of the resource. <= 2083 characters.

1.2 - "id" (string<uuid>
)
- <= 36 characters.

1.3 - "name" (string) - >= 3 characters;
<= 35 characters.

1.4 - "dialing_mode" (string) - <= 35 characters. Allowed values: "PREDICTIVE",
"PREVIEW".

1.5 - "priority" (integer) - >= 1; <= 10

1.6 - "run_once" (boolean)

1.7 - "action_required" (boolean)

1.8 - "status" (string) - <= 35 characters. Allowed values:
"INCOMPLETE", "READY",
"RUNNING", "PAUSED"

1.9 - "created_at" (string<date-time>) - <= 35 characters. Allowed values:
"INCOMPLETE", "READY",
"RUNNING", "PAUSED"

yes
_linksobject

HAL API related links. "_links" subdivides into:

1 - "self" (object) - link to fetch the detail of the campaign.
1.1 - "href" (string) - address of the resource. <= 2083 characters.

2 - "prev" (object)
2.1 - "href" (string) - <= 2083 characters.

3 - "next" (object)
3.1 - "href" (string) -<= 2083 characters.

4 - "first" (object)
4.1 - "href" (string) -<= 2083 characters.

5 - "last" (object)
5.1 - "href" (string) -<= 2083 characters.

yes

400 (errors found in the submitted data), 401 (unauthorized), 403 (forbidden)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
❗️

API Availability

The Campaign Management API is only available for customers enrolled in Talkdesk's Early Access (EA) program.
To enter the EA program, contact a Customer Success Manager.

The Campaign Management APII has been in EA since November 2022.

🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

Query Params
string

Allows to request the sub entities of the campaign. dialing_mode_configuration -> Return the campaign's dialing mode configuration. dialing_strategy -> Returns the campaign's dialing strategy. <= 2083 characters

boolean

Allows filtering by action_required

date

Allows filtering by created_at, the oldest date. <= 35 characters

date

Allows filtering by created_at, the latest date. <= 35 characters

string

Allows filtering by dialing_mode. <= 35 characters. Allowed values: "PREDICTIVE", "PREVIEW"

string

Filter by 'Do Not Call List Id'. <= 36 characters

string

Filter by campaign name. <= 35 characters

string
Defaults to created_at:desc

Order campaigns by name, dialing mode or created at in an ascending or descending order. <= 35 characters. Allowed values: "created_at", "created_at:asc", "created_at:desc", "name", "name:asc", "name:desc", "dialing_mode", "dialing_mode:asc", "dialing_mode:desc", "priority", "priority:asc", "priority:desc"

int32
Defaults to 1

= 1

int32
Defaults to 50

= 1; <= 100

int32

Allows filtering by priority. >= 1; <= 10

string

Filter by 'Record list id'. <= 36 characters

string

Search campaigns with total and partial matches of a given search string, this will be case insensitive and accent/diacritics insensitive. The search will be done on the following fields: name <= 35 characters

string

Allows filtering by status. <= 35 characters. Allowed values: "incomplete", "ready", "running", "paused"

string

Filter by user ID. <= 36 characters

Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json